<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://www.vraptor.org/jsp" prefix="vraptor" %>

<%@ attribute name="name" required="true" %>
<%@ attribute name="collection" type="java.util.Collection" required="true" %>
<%@ attribute name="selected" %>
<%@ attribute name="value" %>
<%@ attribute name="addEmpty" type="java.lang.Boolean" %>

<%@ variable name-given="item" scope="NESTED" description="The item during the iteration" %>

<select name="${name}">
	<c:if test="${addEmpty}">
		<option value=""></option>
	</c:if>
	<c:forEach var="item" items="${collection}">
		<option 
		<c:choose>
			<c:when test="${!empty value}">
				value="${vraptor:valueOf(item,value)}"
					<c:if test="${(!(empty selected)) && (vraptor:valueOf(item,value) eq selected)}">
						selected
					</c:if>
			</c:when>
			<c:otherwise>
				<c:if test="${!empty selected && selected eq item}" > selected </c:if>
			</c:otherwise>
		</c:choose>
		>
			<jsp:doBody/>
		</option>
	</c:forEach>
</select>
